/*
******************************************************************************
*  Name     : DirScrAccAppUi.h
*  Date     : 30.7.04
*  Description:
*     The application UI control.
*     
*  Copyright: Susi Games, Germany
******************************************************************************
*/

#ifndef BitmapUtilsDemoAPPUI_H
#define BitmapUtilsDemoAPPUI_H

#include <eikapp.h>
#include <eikdoc.h>
#include <e32std.h>
#include <coeccntx.h>
#include <aknviewappui.h>
#include "imageloader.h"

/**
 * class CBitmapUtilsDemoAppUi: The application UI control.
 *
 * @author SusiGames.com
 */
class CBitmapUtilsDemoAppUi : public CAknViewAppUi
    {
    public: 

        void ConstructL();
        ~CBitmapUtilsDemoAppUi();
        
    private:
        /**
         * HandleCommandL: Command handling.
         *
         * @param aCommand The command to be handled
         * @return void 
         */
        void HandleCommandL(TInt aCommand);

        /**
         * HandleKeyEventL: Key Event handling.
         *
         * @param aKeyEvent The Event.
         * @param aType Type of the key event.
         * @return TKeyResponse EKeyWasConsumed or EKeyWasNotConsumed
         */
        virtual TKeyResponse HandleKeyEventL(
            const TKeyEvent& aKeyEvent,TEventCode aType);

		CImageLoader* iImageLoader;
    };

#endif

// End of File
