/*
******************************************************************************
*  Name     : BitmapUtilsDemoView.cpp
*  Date     : 30.7.04
*  Description:
*     The view for the application.
*     
*  Copyright: Susi Games, Germany
******************************************************************************
*/

// INCLUDE FILES
#include  <aknviewappui.h>
#include  <avkon.hrh>
#include  <BitmapUtilsDemo.rsg>
#include  "BitmapUtilsDemoView.h"
#include  "BitmapUtilsDemoContainer.h" 



void CBitmapUtilsDemoView::ConstructL(CImageLoader* aImageLoader)
{
    BaseConstructL( R_BITMAPUTILSDEMO_VIEW );
    iContainer = 0;

	iImageLoader = aImageLoader;
}

CBitmapUtilsDemoView::~CBitmapUtilsDemoView()
{
    if ( iContainer )
    {
        AppUi()->RemoveFromViewStack( *this, iContainer );
    }

    delete iContainer;

}


TUid CBitmapUtilsDemoView::Id() const
{
    return KViewId;
}

void CBitmapUtilsDemoView::HandleCommandL(TInt aCommand)
{   
    switch ( aCommand )
    {        
        case EAknSoftkeyBack:
        case EAknSoftkeyOk:
            {
            AppUi()->HandleCommandL(EEikCmdExit);
            break;
            }
        default:
            {
            AppUi()->HandleCommandL( aCommand );
            break;
            }
    }
}

void CBitmapUtilsDemoView::HandleClientRectChange()
{
    if ( iContainer )
    {
        iContainer->SetRect( ClientRect() );
    }
}

void CBitmapUtilsDemoView::DoActivateL(
   const TVwsViewId& /*aPrevViewId*/,TUid /*aCustomMessageId*/,
   const TDesC8& /*aCustomMessage*/)
{
    // Create Container
    if (!iContainer)
    {
        iContainer = new (ELeave) CBitmapUtilsDemoContainer;
        iContainer->SetMopParent(this);
        // use the applicationrect (fullscreen) for drawing
        iContainer->ConstructL( AppUi()->ApplicationRect(), iImageLoader );
        AppUi()->AddToStackL( *this, iContainer );
		iContainer->StartDrawingL();
    }    
}


void CBitmapUtilsDemoView::DoDeactivate()
{
    if ( iContainer )
	{
        AppUi()->RemoveFromViewStack( *this, iContainer );

        delete iContainer;
        iContainer = NULL;
    }

}

// End of File

